Subject: Re: Kernel oops on setting sky2 interfaces down

From: Rene Mayrhofer <[email-masked]>
Date: Mon, 03 Aug 2009 20:19:09 +0200

Rene Mayrhofer wrote:
> I have now tried again with the newest stable kernel (2.6.30.4), without
> PaX and squashfs-lzma support. Still the same problem:
Sorry for replying to myself, but I tried a few more things to do with MSI:

Neither
  find /sys -name "msi_bus" | while read f; do echo 0 > $f; done
nor booting with
  pci=nomsi
changed anything. The oops still happens when setting the last sky2
interface down.

> To allow easier debugging, I have now put our whole kernel tree up in a
> public (read-only) git repository at
> https://www.gibraltar.at/git/linux-2.6-gibraltar.git. The branch for
> this kernel is origin/gibraltar-3.0, although the above dump was
> produced by a version slightly "older" then HEAD, which did not yet have
> the latest PaX patch applied (no PaX and no lzma-squashfs in this kernel).
I have now updated the branch with both patches (the one from Stephen
and the other one Mike). Still trying if it changes anything with
2.6.30.4 (they didn't help with 2.6.28.10, though...).

best regards,
Rene